Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class HostCpu.Record

    java.lang.Object
      com.xensource.xenapi.HostCpu.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  HostCpu

    public static class HostCpu.Record

extends Object
implements Types.Record

Represents all the fields in a HostCpu

Field Summary
`Long` | `family` the family (number) of the physical CPU
`String` | `features` the physical CPU feature bitmap
`String` | `flags` the flags of the physical CPU (a decoded version of the features field)
`Host` | `host` the host the CPU is in
`Long` | `model` the model number of the physical CPU
`String` | `modelname` the model name of the physical CPU
`Long` | `number` the number of the physical CPU within the host
`Map<String,String>` | `otherConfig` additional configuration
`Long` | `speed` the speed of the physical CPU
`String` | `stepping` the stepping of the physical CPU
`Double` | `utilisation` the current CPU utilisation
`String` | `uuid` Unique identifier/object reference
`String` | `vendor` the vendor of the physical CPU

Constructor Summary
`HostCpu.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a host_cpu.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### host

    public Host host

  the host the CPU is in

### number

    public Long number

  the number of the physical CPU within the host

### vendor

    public String vendor

  the vendor of the physical CPU

### speed

    public Long speed

  the speed of the physical CPU

### modelname

    public String modelname

  the model name of the physical CPU

### family

    public Long family

  the family (number) of the physical CPU

### model

    public Long model

  the model number of the physical CPU

### stepping

    public String stepping

  the stepping of the physical CPU

### flags

    public String flags

  the flags of the physical CPU (a decoded version of the features field)

### features

    public String features

  the physical CPU feature bitmap

### utilisation

    public Double utilisation

  the current CPU utilisation

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

Constructor Detail

### HostCpu.Record

    public HostCpu.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a host_cpu.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD